package com.yd.dal.mapper.survey;

import com.yd.dal.entity.survey.SurveyCustomerAnswers;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SurveyCustomerAnswersMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SurveyCustomerAnswers record);

    int insertSelective(SurveyCustomerAnswers record);

    SurveyCustomerAnswers selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SurveyCustomerAnswers record);

    int updateByPrimaryKey(SurveyCustomerAnswers record);

    List<SurveyCustomerAnswers> findByObjGroupByOrderBy(@Param("info") SurveyCustomerAnswers surveyCustomerAnswersQuery, @Param("groupBy") String groupBy, @Param("orderBy") String orderBy);
}